> ## Documentation Index
> Fetch the complete documentation index at: https://docs.url2llm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company Profile

> Read a company's brand, links, contacts, address, legal details and stack, and optionally its styleguide.



## OpenAPI

````yaml /openapi-public.json post /v1/company/profile
openapi: 3.1.0
info:
  title: url2llm
  version: 0.1.0
servers: []
security: []
paths:
  /v1/company/profile:
    post:
      tags:
        - public
        - company
      summary: Get Company Profile
      description: >-
        Read a company's brand, links, contacts, address, legal details and
        stack, and optionally its styleguide.
      operationId: getCompanyProfile
      parameters:
        - in: header
          name: Idempotency-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Idempotency-Key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompanyProfileRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIResponse_CompanyProfileResponse_'
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Unauthorized
        '402':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Payment Required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Unprocessable Content
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Service Unavailable
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Gateway Timeout
      security:
        - HTTPBearer: []
components:
  schemas:
    CompanyProfileRequest:
      additionalProperties: false
      description: A company's domain, or any URL on its site, to refresh the profile of.
      properties:
        domain:
          description: A bare domain or any URL on the company's site
          maxLength: 8192
          minLength: 1
          title: Domain
          type: string
        styleguide:
          default: false
          description: Add the measured styleguide for 5 more credits
          title: Styleguide
          type: boolean
        timeout:
          default: 30000
          description: Milliseconds the whole request may take
          exclusiveMinimum: 0
          maximum: 120000
          title: Timeout
          type: integer
      required:
        - domain
      title: CompanyProfileRequest
      type: object
    APIResponse_CompanyProfileResponse_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/CompanyProfileResponse'
            - type: 'null'
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        success:
          default: true
          title: Success
          type: boolean
      required:
        - success
        - data
        - meta
        - message
        - request_id
      title: APIResponse[CompanyProfileResponse]
      type: object
    ErrorResult:
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        success:
          default: false
          title: Success
          type: boolean
      required:
        - success
        - error
        - request_id
      title: ErrorResult
      type: object
    CompanyProfileResponse:
      description: >-
        A company profile read from its own website in this request. Fields
        without a signal stay null or empty.
      properties:
        address:
          $ref: '#/components/schemas/CompanyAddress'
        backdrops:
          description: og:image and the hero image
          items:
            $ref: '#/components/schemas/CompanyBackdrop'
          title: Backdrops
          type: array
        colors:
          description: Up to 6 ranked brand colors
          items:
            $ref: '#/components/schemas/BrandColor'
          title: Colors
          type: array
        credits_used:
          default: 0
          title: Credits Used
          type: integer
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        domain:
          description: The company's registrable domain
          title: Domain
          type: string
        email:
          anyOf:
            - type: string
            - type: 'null'
          description: The first company email
          title: Email
        legal:
          $ref: '#/components/schemas/CompanyLegal'
        links:
          $ref: '#/components/schemas/CompanyLinks'
        logos:
          items:
            $ref: '#/components/schemas/CompanyLogo'
          title: Logos
          type: array
        phone:
          anyOf:
            - type: string
            - type: 'null'
          description: The first company phone, digits with a leading + when given
          title: Phone
        pixels:
          items:
            type: string
          title: Pixels
          type: array
        primary_language:
          anyOf:
            - type: string
            - type: 'null'
          description: Language code such as en
          title: Primary Language
        refreshed_at:
          description: When the homepage was fetched
          format: date-time
          title: Refreshed At
          type: string
        socials:
          items:
            $ref: '#/components/schemas/CompanySocial'
          title: Socials
          type: array
        sources:
          description: The successful scrapes the profile came from
          items:
            $ref: '#/components/schemas/CompanySource'
          title: Sources
          type: array
        styleguide:
          anyOf:
            - $ref: '#/components/schemas/Styleguide'
            - type: 'null'
          description: Null unless requested
        technologies:
          items:
            type: string
          title: Technologies
          type: array
        title:
          anyOf:
            - type: string
            - type: 'null'
          description: The brand name
          title: Title
        url:
          description: The homepage after redirects
          title: Url
          type: string
      required:
        - domain
        - url
        - title
        - description
        - primary_language
        - colors
        - logos
        - backdrops
        - socials
        - address
        - email
        - phone
        - links
        - legal
        - technologies
        - pixels
        - styleguide
        - sources
        - refreshed_at
        - credits_used
      title: CompanyProfileResponse
      type: object
    ApiError:
      properties:
        code:
          title: Code
          type: string
        details:
          anyOf:
            - {}
            - type: 'null'
          title: Details
        message:
          title: Message
          type: string
      required:
        - code
        - message
        - details
      title: ApiError
      type: object
    CompanyAddress:
      properties:
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        country:
          anyOf:
            - type: string
            - type: 'null'
          description: Country name as the site writes it
          title: Country
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO 3166-1 alpha-2 code
          title: Country Code
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
        state_code:
          anyOf:
            - type: string
            - type: 'null'
          title: State Code
        state_province:
          anyOf:
            - type: string
            - type: 'null'
          title: State Province
        street:
          anyOf:
            - type: string
            - type: 'null'
          title: Street
      required:
        - street
        - city
        - state_province
        - state_code
        - postal_code
        - country
        - country_code
      title: CompanyAddress
      type: object
    CompanyBackdrop:
      properties:
        colors:
          description: The image's dominant colors
          items:
            $ref: '#/components/schemas/NamedColor'
          title: Colors
          type: array
        resolution:
          anyOf:
            - $ref: '#/components/schemas/ImageResolution'
            - type: 'null'
          description: Read from the image bytes
        url:
          title: Url
          type: string
      required:
        - url
        - colors
        - resolution
      title: CompanyBackdrop
      type: object
    BrandColor:
      properties:
        hex:
          description: 'Lowercase #rrggbb'
          title: Hex
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
          description: Nearest name in the checked-in color table
          title: Name
        source:
          description: logo when read from logo pixels, else site
          enum:
            - logo
            - site
          title: Source
          type: string
      required:
        - hex
        - name
        - source
      title: BrandColor
      type: object
    CompanyLegal:
      properties:
        entity_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Entity Name
        legal_form:
          anyOf:
            - type: string
            - type: 'null'
          title: Legal Form
        registration_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Registration Id
        vat_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Vat Id
      required:
        - entity_name
        - legal_form
        - registration_id
        - vat_id
      title: CompanyLegal
      type: object
    CompanyLinks:
      description: The first homepage link to each key page on the company's own domain.
      properties:
        about:
          anyOf:
            - type: string
            - type: 'null'
          title: About
        app_stores:
          $ref: '#/components/schemas/AppStoreLinks'
        blog:
          anyOf:
            - type: string
            - type: 'null'
          title: Blog
        careers:
          anyOf:
            - type: string
            - type: 'null'
          title: Careers
        contact:
          anyOf:
            - type: string
            - type: 'null'
          title: Contact
        docs:
          anyOf:
            - type: string
            - type: 'null'
          title: Docs
        imprint:
          anyOf:
            - type: string
            - type: 'null'
          title: Imprint
        login:
          anyOf:
            - type: string
            - type: 'null'
          title: Login
        pricing:
          anyOf:
            - type: string
            - type: 'null'
          title: Pricing
        privacy:
          anyOf:
            - type: string
            - type: 'null'
          title: Privacy
        terms:
          anyOf:
            - type: string
            - type: 'null'
          title: Terms
      required:
        - about
        - pricing
        - careers
        - contact
        - blog
        - docs
        - login
        - terms
        - privacy
        - imprint
        - app_stores
      title: CompanyLinks
      type: object
    CompanyLogo:
      properties:
        colors:
          description: The image's ink colors
          items:
            $ref: '#/components/schemas/NamedColor'
          title: Colors
          type: array
        mode:
          anyOf:
            - enum:
                - light
                - dark
                - has_opaque_background
              type: string
            - type: 'null'
          description: light for dark ink, dark for light ink, or has_opaque_background
          title: Mode
        resolution:
          anyOf:
            - $ref: '#/components/schemas/ImageResolution'
            - type: 'null'
          description: Read from the image bytes
        type:
          description: logo for the lockup, icon for the favicon and app icons
          enum:
            - logo
            - icon
          title: Type
          type: string
        url:
          title: Url
          type: string
      required:
        - url
        - type
        - mode
        - colors
        - resolution
      title: CompanyLogo
      type: object
    CompanySocial:
      properties:
        type:
          description: >-
            Platform slug, or other for a known profile site without its own
            slug
          title: Type
          type: string
        url:
          title: Url
          type: string
      required:
        - type
        - url
      title: CompanySocial
      type: object
    CompanySource:
      properties:
        fetched_at:
          format: date-time
          title: Fetched At
          type: string
        scrape_id:
          title: Scrape Id
          type: integer
        url:
          description: The fetched page after redirects
          title: Url
          type: string
      required:
        - scrape_id
        - url
        - fetched_at
      title: CompanySource
      type: object
    Styleguide:
      description: The rendered homepage's measured styleguide in light mode at 1920x1080.
      properties:
        colors:
          $ref: '#/components/schemas/StyleColors'
        components:
          $ref: '#/components/schemas/StyleComponents'
        element_spacing:
          $ref: '#/components/schemas/StyleSpacing'
        font_links:
          additionalProperties:
            $ref: '#/components/schemas/FontLink'
          description: Font sources by family
          title: Font Links
          type: object
        mode:
          description: From the painted page background
          enum:
            - light
            - dark
          title: Mode
          type: string
        shadows:
          $ref: '#/components/schemas/StyleShadows'
        typography:
          $ref: '#/components/schemas/StyleTypography'
      required:
        - mode
        - colors
        - typography
        - element_spacing
        - shadows
        - font_links
        - components
      title: Styleguide
      type: object
    NamedColor:
      properties:
        hex:
          description: 'Lowercase #rrggbb'
          title: Hex
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
          description: Nearest name in the checked-in color table
          title: Name
      required:
        - hex
        - name
      title: NamedColor
      type: object
    ImageResolution:
      properties:
        aspect_ratio:
          description: Width over height, two decimals
          title: Aspect Ratio
          type: number
        height:
          title: Height
          type: integer
        width:
          title: Width
          type: integer
      required:
        - width
        - height
        - aspect_ratio
      title: ImageResolution
      type: object
    AppStoreLinks:
      properties:
        apple:
          anyOf:
            - type: string
            - type: 'null'
          title: Apple
        google:
          anyOf:
            - type: string
            - type: 'null'
          title: Google
      required:
        - apple
        - google
      title: AppStoreLinks
      type: object
    StyleColors:
      properties:
        accent:
          anyOf:
            - type: string
            - type: 'null'
          description: Top brand color that is neither neutral nor the text color
          title: Accent
        background:
          description: Color painting the most viewport area
          title: Background
          type: string
        text:
          anyOf:
            - type: string
            - type: 'null'
          description: Majority body text color
          title: Text
      required:
        - accent
        - background
        - text
      title: StyleColors
      type: object
    StyleComponents:
      properties:
        button:
          $ref: '#/components/schemas/ButtonStyles'
        card:
          anyOf:
            - $ref: '#/components/schemas/CardStyle'
            - type: 'null'
      required:
        - button
        - card
      title: StyleComponents
      type: object
    StyleSpacing:
      properties:
        lg:
          anyOf:
            - type: string
            - type: 'null'
          title: Lg
        md:
          anyOf:
            - type: string
            - type: 'null'
          title: Md
        sm:
          anyOf:
            - type: string
            - type: 'null'
          title: Sm
        xl:
          anyOf:
            - type: string
            - type: 'null'
          title: Xl
        xs:
          anyOf:
            - type: string
            - type: 'null'
          title: Xs
      required:
        - xs
        - sm
        - md
        - lg
        - xl
      title: StyleSpacing
      type: object
    FontLink:
      properties:
        faces:
          items:
            $ref: '#/components/schemas/FontFace'
          title: Faces
          type: array
        type:
          description: google for Google Fonts, custom for @font-face files
          enum:
            - google
            - custom
          title: Type
          type: string
      required:
        - type
        - faces
      title: FontLink
      type: object
    StyleShadows:
      properties:
        inner:
          default: none
          title: Inner
          type: string
        lg:
          default: none
          title: Lg
          type: string
        md:
          default: none
          title: Md
          type: string
        sm:
          default: none
          description: CSS box-shadow, or none
          title: Sm
          type: string
        xl:
          default: none
          title: Xl
          type: string
      required:
        - sm
        - md
        - lg
        - xl
        - inner
      title: StyleShadows
      type: object
    StyleTypography:
      properties:
        headings:
          $ref: '#/components/schemas/StyleHeadings'
        p:
          anyOf:
            - $ref: '#/components/schemas/TextStyle'
            - type: 'null'
      required:
        - headings
        - p
      title: StyleTypography
      type: object
    ButtonStyles:
      properties:
        link:
          anyOf:
            - $ref: '#/components/schemas/ButtonStyle'
            - type: 'null'
          description: The most common in-content text link
        primary:
          anyOf:
            - $ref: '#/components/schemas/ButtonStyle'
            - type: 'null'
        secondary:
          anyOf:
            - $ref: '#/components/schemas/ButtonStyle'
            - type: 'null'
      required:
        - primary
        - secondary
        - link
      title: ButtonStyles
      type: object
    CardStyle:
      properties:
        background_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Background Color
        border_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Border Color
        border_radius:
          title: Border Radius
          type: string
        border_style:
          title: Border Style
          type: string
        border_width:
          title: Border Width
          type: string
        box_shadow:
          anyOf:
            - type: string
            - type: 'null'
          title: Box Shadow
        padding:
          anyOf:
            - type: string
            - type: 'null'
          title: Padding
        text_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Text Color
      required:
        - background_color
        - text_color
        - border_color
        - border_radius
        - border_width
        - border_style
        - padding
        - box_shadow
      title: CardStyle
      type: object
    FontFace:
      properties:
        style:
          title: Style
          type: string
        url:
          title: Url
          type: string
        weight:
          description: CSS font-weight value or range
          title: Weight
          type: string
      required:
        - url
        - style
        - weight
      title: FontFace
      type: object
    StyleHeadings:
      properties:
        h1:
          anyOf:
            - $ref: '#/components/schemas/TextStyle'
            - type: 'null'
        h2:
          anyOf:
            - $ref: '#/components/schemas/TextStyle'
            - type: 'null'
        h3:
          anyOf:
            - $ref: '#/components/schemas/TextStyle'
            - type: 'null'
        h4:
          anyOf:
            - $ref: '#/components/schemas/TextStyle'
            - type: 'null'
      required:
        - h1
        - h2
        - h3
        - h4
      title: StyleHeadings
      type: object
    TextStyle:
      properties:
        font_fallbacks:
          items:
            type: string
          title: Font Fallbacks
          type: array
        font_family:
          anyOf:
            - type: string
            - type: 'null'
          title: Font Family
        font_size:
          anyOf:
            - type: string
            - type: 'null'
          description: CSS length such as 48px
          title: Font Size
        font_weight:
          anyOf:
            - type: integer
            - type: 'null'
          title: Font Weight
        letter_spacing:
          anyOf:
            - type: string
            - type: 'null'
          title: Letter Spacing
        line_height:
          anyOf:
            - type: string
            - type: 'null'
          title: Line Height
      required:
        - font_family
        - font_fallbacks
        - font_size
        - font_weight
        - line_height
        - letter_spacing
      title: TextStyle
      type: object
    ButtonStyle:
      properties:
        background_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Background Color
        border_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Border Color
        border_radius:
          title: Border Radius
          type: string
        border_style:
          title: Border Style
          type: string
        border_width:
          title: Border Width
          type: string
        box_shadow:
          anyOf:
            - type: string
            - type: 'null'
          title: Box Shadow
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        font_family:
          anyOf:
            - type: string
            - type: 'null'
          title: Font Family
        font_size:
          anyOf:
            - type: string
            - type: 'null'
          title: Font Size
        font_weight:
          anyOf:
            - type: integer
            - type: 'null'
          title: Font Weight
        min_height:
          title: Min Height
          type: string
        min_width:
          title: Min Width
          type: string
        padding:
          anyOf:
            - type: string
            - type: 'null'
          title: Padding
        text_decoration:
          title: Text Decoration
          type: string
      required:
        - background_color
        - color
        - border_color
        - border_radius
        - border_width
        - border_style
        - padding
        - min_width
        - min_height
        - font_family
        - font_size
        - font_weight
        - text_decoration
        - box_shadow
      title: ButtonStyle
      type: object
  securitySchemes:
    HTTPBearer:
      description: 'Send an active organization API key in the Authorization: Bearer header.'
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.